Subject: Re: Generic desktop/server/laptop lable is confusing [Was Re: [PATCH 3/7] Basic Freescale MPC512x support]

From: Scott Wood <[email-masked]>
Date: Tue, 08 Jan 2008 15:46:24 -0600

Grant Likely wrote:
> On 1/8/08, John Rigby <[email-masked]> wrote:
>>> It may work, but it pulls in code like prom_init.c that is not needed on
>>> non-OF boards.  It's also quite confusing to have an embedded board's
>>> checkbox only show up when you say yes to "Generic desktop/server/laptop".
>>>
>> I have to agree with this, I have been confused by this myself.
>> Perhaps the prompt should be changed to something less
>> confusing?
> 
> I'm agreeable to that.  Maybe simply "Multiplatform" with a better
> description in the help text?

Why do we need a config option for "multiplatform" at all?  It seems to 
be currently used to hang a few random, non-embeddy things off of such 
as real OF and SMT.  Let's clean up the mess rather than change the 
description.

-Scott